//
// Created by Administrator on 25-2-26.
//

#include "mirage.h"
#include "core/window/render_window.h"

int main(int argc, char* argv[]) {
	mirage_app app;
	app.init();

	mirage_window window;
	window.create_window(800, 600, L"Hello, World!");
	window.show();
	app.get_render_context()->setup_surface(&window);

	app.run();
	return 0;
}
